**Source URL:** https://limited.veevavault.dev/quality/vault-api/api-reference/26.3/workflows/bulk-active-workflow-actions/retrieve-replace-participant-on-all-active-workflows-results

# Retrieve Replace Participant on All Active Workflows Results

Retrieve per-workflow outcomes for a completed [Replace Participant on All Active Workflows](/quality/vault-api/api-reference/26.3/workflows/bulk-active-workflow-actions/replace-participant-on-all-active-workflows) request.

Results are available once the job completes. If the job is still running, this endpoint returns `OPERATION_IN_PROGRESS`. Results are retained for 14 days after the job completes.

<Endpoint path="/api/{version}/object/workflow/actions/replaceparticipant/results/{job_id}" method="GET" />

## Headers

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` |
</FieldTable>

## URI Path Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `{job_id}` | The job ID returned by the originating request. |
</FieldTable>

## Query Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `limit`<Requiredness type="optional" /> | The page size, ranging from 1 to 500. Defaults to 200. |
| `offset`<Requiredness type="optional" /> | Paginate the results displayed per page by specifying the amount of offset. If omitted, defaults to 0. Follow the `next_page` and `previous_page` URLs to navigate. |
</FieldTable>

## Request

<CodeExample title="">
```bash
curl -X GET -H "Authorization: {AUTH_VALUE}" -H "Accept: application/json" \
"https://myvault.veevavault.com/api/v26.3/object/workflow/actions/replaceparticipant/results/93702?limit=200&offset=0"
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
  "responseStatus": "SUCCESS",
  "data": {
    "url": "/api/v26.3/object/workflow/actions/replaceparticipant/results/93702?limit=200&offset=0",
    "responseDetails": { "limit": 200, "offset": 0, "size": 2, "total": 2, "next_page": null, "previous_page": null },
    "job": {
      "job_id": 93702, "action": "replaceparticipant", "job_status": "SUCCESS",
      "started_date": "2026-11-05T17:30:57.000Z", "completed_date": "2026-11-05T17:31:19.000Z",
      "succeeded_count": 2, "warning_count": 0, "failed_count": 0
    },
    "results": [
      {
        "workflow_id": 2903,
        "participant_group_name": "approvers__c",
        "responseStatus": "SUCCESS",
        "removed_identity": { "type": "user", "id": 2055 },
        "added_identity":   { "type": "user", "id": 1090 }
      },
      {
        "workflow_id": 2904,
        "participant_group_name": "approvers__c",
        "responseStatus": "SUCCESS",
        "removed_identity": { "type": "user", "id": 2055 },
        "added_identity":   { "type": "user", "id": 1090 }
      }
    ]
  }
}
```
</CodeExample>

## Response Details

On `SUCCESS`, Vault returns the per-workflow results of the job.

---

**Previous:** [Retrieve Remove Participant from All Active Workflows Results](/quality/vault-api/api-reference/26.3/workflows/bulk-active-workflow-actions/retrieve-remove-participant-from-all-active-workflows-results)  
**Next:** [Document Lifecycle and Workflows](/quality/vault-api/api-reference/26.3/document-lifecycle-workflows)